<?php
  $nombre = $_POST["nombre"];
  $email = $_POST["email"];
  $mensaje = $_POST["mensaje"];
  $error = '';

  //Validar el nombre
  if (empty($_POST["nombre"])) {
    $error = 'Ingresa un nombre </br>';
  }else{
    $nombre = $_POST["nombre"];
    $nombre = filter_var($nombre, FILTER_SANITIZE_STRING);
    $nombre = trim($nombre);
    if($nombre==''){
        $error .='El nombre está vacio </br>';
    }
  }
  //Validar el email
  if (empty($_POST["email"])) {
    $error .='Ingresa un E-mail </br>';
  }else{
    $email = $_POST["email"];
    if (!filter_var($email,FILTER_VALIDATE_EMAIL)) {
      $error .= 'Ingresa un E-mail verdadero </br>';
    }else{
      $email = filter_var($email,FILTER_VALIDATE_EMAIL);
    }
  }
  //Validar mensaje
  if (empty($_POST["mensaje"])) {
    $error .= 'Ingresa un mensaje';
  }else{
    $mensaje = $_POST["mensaje"];
    $mensaje = filter_var($mensaje, FILTER_SANITIZE_STRING);
    $mensaje = trim($mensaje);
    if($mensaje==''){
        $error .='El mensaje está vacio </br>';
    }
  }

  //Cuerpo del correo
  $cuerpo = 'Alguien se ha puesto en contacto por medio del formulario en enasa.com.mx, estos son sus datos:'."\n"."\n";
  $cuerpo .= 'Nombre: '.$nombre."\n";
  $cuerpo .= 'Email: '.$email."\n";
  $cuerpo .= 'Mensaje: '.$mensaje."\n";

  //Datos de envio
  $enviara = 'romyhdz88@gmail.com';
  $asunto = 'Respuesta Formulario ENASA';

  //Enviar correo
  if ($error == '') {
    $success = mail($enviara,$asunto,$cuerpo,'de: '.$email);
    echo "exito";
  }else{
    echo $error;
  }

?>
